#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 one-liner
version:              2.1
visibility:           public
id:                   one-liner-2.1-EtXlhLOoUXm5Gwr8c0pywj
key:                  one-liner-2.1-EtXlhLOoUXm5Gwr8c0pywj
license:              BSD-3-Clause
maintainer:           sjoerd@w3future.com
author:               Sjoerd Visscher, Xia Li-yao
homepage:             https://github.com/sjoerdvisscher/one-liner
synopsis:             Constraint-based generics
description:
    Write short and concise generic instances of type classes.
    one-liner is particularly useful for writing default
    implementations of type class methods.

category:             Generics
abi:                  2574db9fe1297948a109b3c4802458df
exposed:              True
exposed-modules:
    Generics.OneLiner Generics.OneLiner.Binary
    Generics.OneLiner.Classes Generics.OneLiner.Internal
    Generics.OneLiner.Internal.Unary

import-dirs:          /usr/lib/ghc-9.4.8/site-local/one-liner-2.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/one-liner-2.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/one-liner-2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-one-liner
hs-libraries:         HSone-liner-2.1-EtXlhLOoUXm5Gwr8c0pywj
depends:
    base-4.17.2.1 bifunctors-5.6-3tpzCeqKhDzEQaagTMKS1h
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi ghc-prim-0.9.1
    linear-base-0.3.1-4GOfFFXTu2gBpqaYqlZxno
    profunctors-5.6.3-KS6OBvK2tTXJW0Dy4E920y
    tagged-0.8.9-KMS3sfDasKWItFZcxfaN6C transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-one-liner/html/one-liner.haddock
haddock-html:         /usr/share/doc/haskell-one-liner/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

